import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/interest/handover";

import { statusOptions } from "./options"

const columns = [
  {
    prop: "resign_name",
    label: "离职人",
  },
  {
    prop: "hand_name",
    label: "接收人",
  },
  {
    prop: "status",
    label: "状态",
    cellRenderer({row}){
      return (statusOptions.find((i) => i.value == row.status) || {}).label ||'--'
    }
  },
  {
    prop: "expire_date",
    label: "生效时间",
  },
  {
    prop: "addtime",
    label: "创建时间",
  },
  {
    label: "操作",
    fixed: "right",
    width: 50,
    slot: "operation",
  },
];

const contentConfig: ContentConfig = {
  title: "离职交接",
  columns,
  companyProp:'custom',
  apis: {
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
