import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      options: statusOptions,
      placeholder:'状态'
    },
    {
      field: "create_timer",
      type: "date_picker",
      label: '创建时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "bargainNo", label: "议价单编号" },
          { value: "bidsNo", label: "反馈商品编号" },
          { value: "infoNo", label: "竞价单编号" },
          { value: "company_name", label: "申请人部门" }
        ]
      }
    },
  ]
};

export default searchFormConfig;
