import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      options: statusOptions,
      placeholder:'项目状态'
    },
    {
      field: "create_timer",
      type: "date_picker",
      label: '创建时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      type: "range",
      field: "gold",
      otherOptions: {
        startProp: "low",
        endProp: "up",
        startPlaceholder: "总预算下限",
        endPlaceholder: "总预算上限"
      }
    },
    {
      type: 'customer-query',
      field: 'khNo',
      placeholder: '企业客户',
      otherOptions: { prop: 'companyNo' }
    },
    {
      type: 'input',
      field: 'project_name',
      placeholder: '项目名称'
    },
    {
      type: 'input',
      field: 'company_name',
      placeholder: '申请人部门'
    }
  ]
};

export default searchFormConfig;
