import { FormConfig } from "/@/components/PageSearch";
import { xs_order_source_options } from "/@/utils/status"
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      label: '创建时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      type: "select",
      field: "status",
      placeholder:'状态',
      options: statusOptions
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "bk_code", label: "备库申请编号" },
          { value: "good_code", label: "商品成本编号" },
          { value: "good_name", label: "商品名称" },
          { value: "apply_name", label: "申请人" },
          { value: "company_name", label: "申请人部门" }
        ]
      }
    },
  ]
};

export default searchFormConfig;
