import { FormConfig } from "/@/components/PageSearch";
import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      options: statusOptions,
      placeholder:'状态'
    },
    {
      type: 'customer-query',
      field: 'khNo',
      placeholder: '企业客户',
      otherOptions: { prop: 'companyNo' }
    },
    {
      field: "create_timer",
      type: "date_picker",
      label: '创建时间',
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "zxNo", label: "竞价单编号" },
          { value: "cpName", label: "商品名称" },
          { value: "salesman", label: "申请人" },
          { value: "company_name", label: "申请人部门" }
        ]
      }
    },
  ]
};

export default searchFormConfig;
