import { ElTag } from "element-plus";
import { httpList, httpStatus, httpDelete } from "/@/api/serviceParam/goldPrice";

import { ContentConfig } from "/@/components/PageContent";
import { h } from "vue";

const columns = [
  {
    prop: "type_cn",
    label: "贵金属种类",
  },
  {
    prop: "price",
    label: "当前金价(元/g)",
  },
  {
    prop: "action_name",
    label: "创建人",
  },
  {
    prop: "addtime",
    label: "创建时间",
    width: "100px"
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    width: "100px",
    slot: "operation",
  },
];

const contentConfig: ContentConfig = {
  title: "贵金属实时金价",
  columns,
  statusListProp:'canOrder',
  apis: {
    httpList,
    httpStatus,
    httpAdd: true,
    httpUpdate: true,
    httpDelete
  }
};

export default contentConfig;
