import { FormConfig } from "/@/components/PageSearch"
import { statusOptions, options } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      type: "supplier-query",
      field: "supplierNo",
      placeholder:'供应商'
    },
    {
      type:'select',
      field:'wsm_type',
      options: options,
      placeholder: '仓库类型'
    },
    {
      field: "group",
      type_field: "group_type",
      type: "input_group",
      otherOptions: {
        inputGroupOptions: [
          { value: "wsm_code", label: "仓库编码" },
          { value: "contactor_name", label: "负责人姓名" },
          { value: "mobile", label: "负责人手机号" },
          { value: "company_new_name", label: "负责人部门" }
        ]
      }
    },
  ]
};

export default searchFormConfig;
