import { orcStatusOptions, statusOptions } from "./_options";
import { FormConfig } from "/@/components/PageSearch";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "create_timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间"
      }
    },
    {
      field: "status",
      type: "select",
      options: statusOptions,
      placeholder:'状态'
    },
    {
      field: "ocr_status",
      type: "select",
      options: orcStatusOptions,
      placeholder:'营业执照识别状态'
    },
    {
      type: "input",
      field: "name",
      placeholder:'供应商'
    },
    {
      type: "input",
      field: "creater",
      placeholder:'创建人'
    },
    {
      type: "input",
      field: "company_name",
      placeholder:'创建人部门'
    },
    {
      type: "input",
      field: "person",
      placeholder:'负责人'
    }
  ]
};

export default searchFormConfig;
